/**
 * 
 */
package studio.junk.jam.coloritum;

/**
 * @author cryptjar
 */
public class AssetManager extends ScriptManager<Object, AssetScript> {

	/**
	 * 
	 */
	public AssetManager() {
		super(AssetScript.class);
	}

	@Override
	protected void addScript(String name, AssetScript s) {
		s.load();

		types.putAll(s.getMapping());

	}

}
